package xxl;

import javax.swing.*;



    public class GameFrame extends JFrame {
        private static final long serialVersionUID = 1L;
        GamePanel panel;


        /**
         * GameFrame构造方法
         */
        public GameFrame() {
            // 设置窗体标题
            setTitle("数字连连消");
            //位置
            int x=100,width=700,height=700,y=100;
            // 设置窗体位置和大小
            setBounds(x, y, width, height);
            // 设置窗体不能改变大小
            setResizable(false);
            // 设置窗体居中显示
            setLocationRelativeTo(null);
            // 设置窗体关闭即退出
            setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
            panel = new GamePanel();
            add(panel);
            // 最后显示窗体
            setVisible(true);
        }

        public GameFrame(int c){
            if(c!=0){
                // 设置窗体标题
                setTitle("数字连连消");
                //位置
                int x=100,width=900,height=900,y=100;
                // 设置窗体位置和大小
                setBounds(x, y, width, height);
                // 设置窗体不能改变大小
                setResizable(false);
                // 设置窗体居中显示
                setLocationRelativeTo(null);
                // 设置窗体关闭即退出
                setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
                panel = new GamePanel();
                add(panel);
                // 最后显示窗体
                setVisible(true);
            }
        }
        /**
         * 启动游戏
         */
        public void start() {
            panel.start();
        }
        public void start2(){panel.start2();}
        public void start3(){panel.start3();}

    }

